This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 428124 - [Xen][5.2][IA64] domHVM with pagesize 4k hangs.
[Xen][5.2][IA64] domHVM with pagesize 4k hangs.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
ia64 Linux
medium Severity medium
: rc
: ---
Assigned To: Tetsu Yamamoto
Martin Jenner
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 07:17 EST by Sachin Prabhu
Modified: 2010-10-22 17:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2008-01-09 07:17:43 EST
Summary:
[Xen][5.2][IA64] domHVM with pagesize 4k hangs.

Version-Release number of selected component.
Red Hat Enterprise Linux Version Number: 5.1RC
Release Number: none
Architecture: IA64
Kernel Version: 2.6.18
Related Package Version: none
Related Middleware/Application: none

Drivers or hardware or archtecture dependency:
�None. This bug is generated regardless of driver.�
�None. This bug is generated regardless of hardware.�
IA64

Description of Problem:
if we run domHVM with page size 4k, sometimes goes hung.


How reproducible:
100%.

Step to Reproduce:
run java or ia32el with 4k page size,
(We observed this problem for Longhorn(Microsoft Next Version Server))

Actual Results:
domHVM hungs.

Expected Results:
domHVM runs fine.

Summary of actions taken to resolve issue:
 none

Location of diagnostic data:
 none

Hardware configuration:
Model: PRIMEQUEST
CPU Info: Itanium 2
Memory Info: 32GB
Hardware Component Information: none
Configuration Info: none

Business Impact:
IA64 HVM domain does hung.

Fix Target: 5.2
errata Request: No
Hotfix Request: No


Additional Info:
This problem is already fixed by following patch.
changeset: [IA64] Fix TLB insertion for subpaging
changeset 16112: 52d9f5028397
http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?rev/52d9f5028397
Comment 3 Issue Tracker 2008-01-09 07:19:50 EST
We have reproduced only on Windows Server 2008 guest installation.

For Windows Server 2008, RHEL5.1 has many problems, so Windows Server
2008 guests may occur BSOD, hang up or cause hypervisor's panic.

The following patches and the guest firmware fix them.
(see also IT#135794)
Windows Server 2008 RC1 installation succeeded with these patches and
the guest firmware.

Patches:
  16112: [IA64] Fix TLB insertion for subpaging
  http://xenbits.xensource.com/ext/ia64/xen-unstable.hg/rev/52d9f5028397
  16287: Update pal.h and pal.S to linux-2.6.21 (from IT#135794)
  http://xenbits.xensource.com/ext/ia64/xen-unstable.hg/rev/b235b68a0f4f
  16288: Implement some PAL procedures (from IT#135794)
  http://xenbits.xensource.com/ext/ia64/xen-unstable.hg/rev/41c1731c9125
  16622: [IA64] Fix vulnerability of copy_to_user in PAL emulation
  http://xenbits.xensource.com/ext/ia64/xen-unstable.hg/rev/e6069a715fd7
Guest firmware:
  38: Add cirrus vga bios.
  http://xenbits.xensource.com/ext/efi-vfirmware.hg?rev/f263d2bca359


I uploaded sosreport and backported patches.

Thanks,
KUWAMURA Shin'ya

Internal Status set to 'Waiting on Support'
Status set to: Waiting on Tech

This event sent from IssueTracker by sprabhu 
 issue 135025
Comment 6 Issue Tracker 2008-01-09 07:19:53 EST
This issue occurs by the following steps:
1. Apply the cset:16622 patch to hypervisor
   Note: this patch is included by kernel-xen-2.6.18-62.el5.
2. Build and install the guest firmware (cset:38 or later)
3. Create a HVM domain using the guest firmware and Windows Server
   2008 RC1 ISO image file
4. Boot and install Windows Server 2008 RC1 by a general method

These instructions causes the following results:
- Windows Server 2008 RC0:
    Windows guest stops during the installation
- Windows Server 2008 RC1:
    Windows guest repeats infinitely rebooting at the last stage of
    installation

Because the hypervisor and xen-ia64-guest-firmware has the other
issues, RHEL5.1 cannot reach this issue and the Windows installation
stops at the earlier stage. 1. and 2. in reproduction steps are
required in order to avoid their issues.

I attached the sosreport while Windows repeat rebooting using 
kernel-xen-2.6.18-62.el5 and the guest firmware.

Also I attached some screen shots of the guest while Windows repeat
rebooting.
# Excuse me, but we tested only Japanese version of Windows.

Thanks,
KUWAMURA Shin'ya


Internal Status set to 'Waiting on Support'
Status set to: Waiting on Tech

This event sent from IssueTracker by sprabhu 
 issue 135025
Comment 7 Bill Burns 2008-01-09 15:12:40 EST
Fix is in hand and was awaiting escalation from IT. Setting flags and assigning
to Tetsu.
Comment 10 Don Zickus 2008-01-23 17:07:47 EST
in 2.6.18-73.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 Tetsu Yamamoto 2008-01-31 10:57:51 EST
kernel -73 does not have the patch to implement PAL procedure:

16288: Implement some PAL procedures (from IT#135794)
http://xenbits.xensource.com/ext/ia64/xen-unstable.hg/rev/41c1731c9125
Comment 13 Don Zickus 2008-02-01 16:10:56 EST
in 2.6.18-77.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 16 John Poelstra 2008-03-20 23:53:04 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 18 errata-xmlrpc 2008-05-21 11:05:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.